import 'package:flutter/material.dart';
import 'package:mcomp_flutter_app/helpers/constants.dart';
import 'package:universal_platform/universal_platform.dart';

class DeviceType {
  DeviceType._();

  static final bool _isIOS = UniversalPlatform.isIOS;
  static final bool _isAndroid = UniversalPlatform.isAndroid;
  static bool isWeb = UniversalPlatform.isWeb;
  static bool get isMobile => _isAndroid || _isIOS;

  static bool isSmallScreen(BuildContext context) {
    if (MediaQuery.of(context).size.width < Consts.screenBreakpointWidht) {
      return true;
    }
    return false;
  }
}
