import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/time_program/time_program_model.dart';

part 'time_program_heating_model.g.dart';

@JsonSerializable()
class TimeProgramHeatingModel extends TimeProgramModel {
  TimeProgramHeatingModel({
    required this.desiredTemp,
    required super.id,
    required super.timeFrom,
    required super.timeTo,
  });

  factory TimeProgramHeatingModel.fromJson(Map<String, dynamic> json) =>
      _$TimeProgramHeatingModelFromJson(json);
  final double desiredTemp;

  @override
  Map<String, dynamic> toJson() => _$TimeProgramHeatingModelToJson(this);
}
