import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/time_program/time_program_model.dart';

part 'time_program_recup_model.g.dart';

@JsonSerializable()
class TimeProgramRecupModel extends TimeProgramModel {
  TimeProgramRecupModel({
    required this.desiredSpeed,
    required super.id,
    required super.timeFrom,
    required super.timeTo,
  });

  factory TimeProgramRecupModel.fromJson(Map<String, dynamic> json) =>
      _$TimeProgramRecupModelFromJson(json);

  final int desiredSpeed;

  @override
  Map<String, dynamic> toJson() => _$TimeProgramRecupModelToJson(this);
}
