import 'package:json_annotation/json_annotation.dart';

part 'plc_model_light.g.dart';

@JsonSerializable(explicitToJson: true)
class PlcModelLight {
  PlcModelLight({required this.isOnRW});

  factory PlcModelLight.fromJson(Map<String, dynamic> json) =>
      _$PlcModelLightFromJson(json);

  @JsonKey(name: 'IS_ON_RW')
  final IsOnRW? isOnRW;

  Map<String, dynamic> toJson() => _$PlcModelLightToJson(this);
}

@JsonSerializable()
class IsOnRW {
  IsOnRW({required this.dt, required this.val});

  factory IsOnRW.fromJson(Map<String, dynamic> json) => _$IsOnRWFromJson(json);

  String? dt;
  bool? val;

  Map<String, dynamic> toJson() => _$IsOnRWToJson(this);
}
