import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/plc_models/plc_model_unique.dart'
    show PlcModelUnique;

part 'plc_model_list.g.dart';

@JsonSerializable(explicitToJson: true)
class PlcModelList {
  PlcModelList({
    required this.diff,
    required this.list,
  });

  factory PlcModelList.fromJson(Map<String, dynamic> json) =>
      _$PlcModelListFromJson(json);

  final List<PlcModelUnique>? diff;
  final List<PlcModelUnique>? list;

  Map<String, dynamic> toJson() => _$PlcModelListToJson(this);
}
