import 'package:json_annotation/json_annotation.dart';

part 'room_model.g.dart';

@JsonSerializable()
class RoomModel {
  RoomModel({
    required this.id,
    required this.name,
  });

  factory RoomModel.fromJson(Map<String, dynamic> json) =>
      _$RoomModelFromJson(json);
  final String id;
  final String name;

  Map<String, dynamic> toJson() => _$RoomModelToJson(this);
}
