import 'package:flutter/material.dart';

class ScreenSpacerLineWidget extends StatelessWidget {
  const ScreenSpacerLineWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        const Spacer(),
        Padding(
          padding: const EdgeInsets.only(right: 40.0),
          child: Container(
            height: double.infinity,
            width: 2,
            color: Theme.of(context).colorScheme.onPrimary,
          ),
        )
      ],
    );
  }
}
