import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/room_model.dart';

part 'device_model.g.dart';

@JsonSerializable(explicitToJson: true)
class DeviceModel {
  DeviceModel(
    this.deviceType, {
    required this.id,
    required this.name,
    required this.typeFromPlc,
    required this.room,
  });

  factory DeviceModel.fromJson(Map<String, dynamic> json) =>
      _$DeviceModelFromJson(json);
  final String id;
  final String name;
  final String typeFromPlc;
  final RoomModel? room;
  final String? deviceType;

  Map<String, dynamic> toJson() => _$DeviceModelToJson(this);
}
