import 'package:json_annotation/json_annotation.dart';

part 'time_program_model.g.dart';

@JsonSerializable()
class TimeProgramModel {
  TimeProgramModel({
    required this.id,
    required this.timeFrom,
    required this.timeTo,
  });

  factory TimeProgramModel.fromJson(Map<String, dynamic> json) =>
      _$TimeProgramModelFromJson(json);
  final String id;
  final String timeFrom;
  final String timeTo;

  Map<String, dynamic> toJson() => _$TimeProgramModelToJson(this);
}
