import 'package:json_annotation/json_annotation.dart';

part 'plc_model_unique.g.dart';

@JsonSerializable(explicitToJson: true)
class PlcModelUnique {
  PlcModelUnique({
    required this.id,
    required this.props,
  });

  factory PlcModelUnique.fromJson(Map<String, dynamic> json) =>
      _$PlcModelUniqueFromJson(json);

  final String? id;
  final Map<String, dynamic> props;

  Map<String, dynamic> toJson() => _$PlcModelUniqueToJson(this);
}
