import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/home_plc_model.dart';

part 'user_model.g.dart';

@JsonSerializable(explicitToJson: true)
class UserModel {
  UserModel({
    required this.id,
    required this.name,
    required this.email,
    required this.homePLCs,
  });

  factory UserModel.fromJson(Map<String, dynamic> json) =>
      _$UserModelFromJson(json);
  final String id;
  final String name;
  final String email;
  final List<HomePLCModel> homePLCs;

  Map<String, dynamic> toJson() => _$UserModelToJson(this);
}
