import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';

class ErrorScreen extends StatelessWidget {
  const ErrorScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          const Padding(
            padding: EdgeInsets.all(16.0),
            child: Text('Stránka nebyla nalezena'),
          ),
          ElevatedButton(
            onPressed: () => context.go('/'),
            child: const Text('Pokračujte na hlavní obrazovku'),
          ),
        ],
      ),
    );
  }
}
